<template>
	<div class="modal-agree" v-if="contents">
		<div class="model-title">
			{{ title }}
			<a href="#" class="close" @click.prevent="close">닫기</a>
		</div>
		<div class="model-body">
			<div class="info" v-html="contents"></div>
			<div class="btn-wrap">
				<button type="button" class="btn-confirm btn-line" @click.prevent="close">확인</button>
			</div>
		</div>
	</div>
</template>

<script>
import { mapGetters, mapMutations } from 'vuex';

export default {
	name: 'alert',
	data() {
		return {}
	},
	computed: {
		...mapGetters({
			title: 'alert/title',
			contents: 'alert/contents',
			callBack: 'alert/callBack'
		})
	},
	methods: {
		...mapMutations({
			alert: 'alert/setAlert'
		}),
		close() {
			typeof this.callBack === 'function' && this.callBack();
			this.alert({
				title: null,
				contents: null,
				callBack: null
			});
		}
	}
}
</script>

<style lang="scss">
	.modal-body-title {
		font-family: 'Noto-Bold', sans-serif;
		color: #f04137;
	}
	.modal-body-subTitle {
		padding-bottom: 20px;
		font-family: 'Noto-Regular', sans-serif;
	}
</style>
